Yellowdog Updater Modified (yum) is an interactive, rpm based, package manager.

learn more… | top users | synonyms

2
votes
2answers
144 views

Does Redhat subscript provide access to yum repositories?

I created an install script on an AWS Redhat instance and i'm not trying to use the same script on a base Redhat install. Nearly every package in my script comes back as "No package..." I've ...
2
votes
1answer
5k views

local yum repository with grouplist not working

I am trying to create a local yum repository with group list for RHEL 6. Packages from DVD are dumped at the following location /var/www/html/rhelisos/ To create the repo, I used the following ...
2
votes
2answers
686 views

yum update presents hponcfg-4.2.0-0.x86_64 conflict

I am in the process of trying to get Cacti installed onto an HP DL360 running Centos 6.3. Running yum update presents me with a few updates but when entering y it returns an error. How can I solve ...
2
votes
1answer
154 views

CentOS 6 - No Updates

I've had a CentOS 6.3 VM set up for some time now, but I'm not seeing any updates when I run yum check-update, or yum list-security. There has to be something (especially with Apache/MySQL!). If I ...
2
votes
2answers
104 views

Running a Script as Soon as a Network Interface is Detected as Active

I was just wondering if it was possible to run a script as soon as a test to see if a network interface is up (like a ping or something)? I think it would be pretty awesome to update my yum when I ...
2
votes
1answer
6k views

What is the easiest way to install Meld on RedHat Linux RHEL 5.4?

My company has RedHat RHEL 5.4 on the Linux box, and I need to install Meld on it. How can it be done? $ sudo yum install meld No package meld available. Nothing to do $ sudo yum search meld No ...
2
votes
1answer
1k views

How do I install WINE in RHEL 6.3?

I'm a beginner in Linux and I'm having a problem installing wine I'm using RHEL 6.3 and when I use yum install wine it keeps giving me this Blockquote Error: Package: wine-core-1.4.1-1.el6.i686 ...
2
votes
2answers
3k views

Getting config error for yum in CentOS

I'm very new to linux, and I am using CentOS in a VM for program testing. Everything seems to be fine, except for every few minutes I get this error: Error Type: <class 'yum.Errors.ConfigError'> ...
2
votes
1answer
77 views

Install packages in $HOME/usr

I'm looking to script use of rpm --relocate. How to change the default location packages are installed to - from user/local to $HOME/usr? Do I need to do it all manually (removing and reinstaling to ...
2
votes
1answer
1k views

Problems with YUM/Scientifix Linux 6.3 (inconsistent rpm database?..)

Recently I saw this: [root@NOTEBOOK /etc/yum.repos.d] yum update Loaded plugins: fastestmirror, presto, security Loading mirror speeds from cached hostfile epel/metalink ...
2
votes
2answers
1k views

where to find unhide-tcp for centos 6?

I've got a centOS 6 64 bit server, and have installed rkhunter. I spent some time running scans and tweaking things so that rkhunter throws up no warnings (e.g setting the PermitRootLogin var in ...
2
votes
2answers
5k views

“Cannot run C compiled programs” error when installing PDO PHP module

I have a cPanel server I want to install some packages on. I connected to the server as root and ran the following commands to update and delete all the existing repositories: yum update yum clean ...
2
votes
2answers
778 views

yum proxy http errors

I've a VM running Centos 5.5 and I'm trying to get yum to update via a company proxy. I can browse the web within the VM using the proxy setting , but I cannot get yum to use the proxy. I'm getting ...
2
votes
1answer
2k views

How to block yum from upgrading obsoleted package?

Is there any way to prevent yum from upgrading a package obsoleted by another? I have created a custom repo containing some packages, among them openh323-devel. In current versions of CentOS, ...
2
votes
0answers
34 views

Only allowing specific packages from one repo

I'm looking for information on whether there is an easier way to do this. I have set up a company repo, we use custom packages for a few items. What I want to avoid is this package being installed ...
2
votes
1answer
83 views

httpd 2.4.10 in CentOS 7

How can I update my httpd version 2.4.6 to 2.4.10? If I try to update it with yum, it says that I have the latest version. I want to update httpd to 2.4.10 version because a security issue of the ...
2
votes
0answers
17 views

yum-builddep building the dependencies from source

My current way of building packages from srpm: cd ~/rpmbuild/SRPMS yumdownloader --source $p sudo yum-builddep *.src.rpm if some build deps not found, repeat the above steps for each of them ...
2
votes
0answers
44 views

Yum error in Centos : beginner

"Error Type: Error Value: File contains no section headers." I got this error that pops up regurarly. I am really new to centos and am using it for schools work. I must have tried to change ...
2
votes
0answers
23 views

reduce bandwidth consumption from downloading yum updates

I have several machines (7) running fedora and would like to reduce the amount of external bandwidth I am consuming. I see that there were several attempts to setup mirrors, but those projects seem ...
2
votes
1answer
1k views

Unable to use yum repos whether with baseurl or mirrorlist in CentOS 6.5

Since a couple of days, I'm unable to retrieve repositories data with Yum, in my CentOS 6.5 server. I did yum clean all a dozen of times, it emptied all but didn't solved the problem. I tried to ...
2
votes
1answer
2k views

Can't install “libdvdcss” with yum anymore after update on “Fedora 20 Heisenburg”

I couldn't update my system today, because of dependency problems with libdvdcss, I removed libdvdcss and it's dependency libdvdcss2. Update was successfull after that but now I can't install ...
2
votes
0answers
52 views

Unable to install Mysql

When I install mysql on my Centos, I get the following error: Loaded plugins: fastestmirror, refresh-packagekit, security Loading mirror speeds from cached hostfile Could not retrieve mirrorlist ...
2
votes
1answer
205 views

Rebuilt kmod package not updating via `YUM` but is via `rpm`

I have built a package with the following version: kmod-dahdi-linux 10:2.9.1.1-75_shmz65.1.11.2.6.32_431.el6.i686 Which should be an upgrade of the one installed on the system: kmod-dahdi-linux ...
2
votes
1answer
931 views

Getting SVN 1.6/1.7 on Fedora 20

I have a remote repository which is running 1.6 that I have no admin rights to, thus I'm trying to install a version of SVN that is compatible with 1.6. Doing a yum --showduplicates list subversion ...
2
votes
1answer
333 views

Install pandas for python3 on Fedora 20

The Fedora project lists a package called python3-pandas. When I enter sudo yum install python3-pandas I get the message No package python3-pandas available.. How can I install this package? I am ...
2
votes
0answers
324 views

yum command is not working Fedora 20

My machine is running Fedora 20. The yum command was working last week, but now it is not working. When I try yum update or yum clean all it is not showing anything. This is my yum.conf [main] ...
2
votes
4answers
11k views

How to update CentOS 6.5 to kernel 2.6.32-431?

I need to update my CentOS 6.5 kernel to 2.6.32-431. Running yum clean all && yum update doesn't do it for me. How do I update? And what could be the issue? [root@centos64 ~]# uname -r ...
2
votes
1answer
2k views

Public key problem when installing ovirt on aws

I started an instance on AWS with centos 6.4. I ran the following two commands: $ yum localinstall http://resources.ovirt.org/releases/ovirt-release.noarch.rpm $ yum -y install ovirt-engine I got ...
2
votes
1answer
859 views

obsoleted package breaks yum install of older JBoss

I need to install an older version of JBoss. 6.1.0 EAP is what has been approved and supported for my application. So when I try to force install the correct version of the jbossas packages the ...
2
votes
0answers
126 views

fedora 19 dependency issue

I am getting this error while updating: Resolving Dependencies --> Running transaction check ---> Package openssl.x86_64 1:1.0.1e-4.fc19 will be updated ---> Package openssl.x86_64 ...
2
votes
2answers
2k views

Why does yum continue to complain about a missing dependency that is already installed?

I have a self-created rpm for mapserver 6.2.1 that I want to support Oracle, but I am having a lot of difficulties getting it all to work. I have installed the ...
2
votes
1answer
6k views

Resolve dependencies installing rpm packages

I am using RHEL6 Hi i have created the yum repository, i downloaded the snort rpm package from their website when i tried to install the rpm its thorws error e.g. snort-2.9.5.3-1.f18.i386.rpm ...
2
votes
0answers
712 views

Sudo yum permission denied Fedora 17

On Fedora 13, in /etc/sudoers I used to have a line: Cmnd_Alias SOFTWARE=/usr/bin/yum and then for a user that would have the privilege of installing his/her own RPM packages, an entry like: ...
2
votes
1answer
1k views

There was a problem importing one of the Python modules required to run yum

I installed the Python bindings of VTK 5.1 correctly. In Python, import vtk worked, but import itk did not work yet. So I wanted to install the Python bindings of ITK 4.2. I needed to install SWIG ...
2
votes
1answer
591 views

Skype installation on fedora 20 fails

I'm trying to install skype version 4.3.0.37 and it keeps giving me this error: Protected multilib versions: libwayland-server-1.2.0-3.fc20.i686 != libwayland-server-1.5.0-4.el7.nux.x86_64 Error: ...
1
vote
2answers
12k views

How to install iftop?

I tried: root@host [/home]# yum install iftop Loaded plugins: fastestmirror, security Loading mirror speeds from cached hostfile * base: centos.mirrors.tds.net * extras: yum.singlehop.com * ...
1
vote
3answers
4k views

Why yum resolve dl.google.com to an IPv6 address?

I installed Google chrome browser on Fedora 18. Now when I try update softwares using yum upgrade, it report the following error and I can't get chrome updated. ...
1
vote
1answer
3k views

64bit rpm can not resolve 32bit dependencies

Problem I'm having a RPM that contains mixed 64bit and 32bit binaries. One of the binaries depends on 32bit i686 packages. When I try to install the package yum gives me an error, noting that the ...
1
vote
4answers
128 views

Are packages downloaded from multiple mirror sites?

I'm running F17 and inside of yum.repos.d. I see multiple repos listed like adobe-linux-1386.repo, fedora.repo, google-chrome.repo, etc. When I yum install are some files being downloaded from ...
1
vote
2answers
2k views

Cannot upgrade Scientific Linux to version 6.5

I have been trying to figure out a way to get my Scientific Linux box to upgrade to version 6.5. It's currently 6.4 and everytime I perform a yum update I get an error message (see below!). Can anyone ...
1
vote
1answer
2k views

Yum user temp files (/var/tmp/yum*) fills up with repo data

On my rhel6 system, non-sudo users can do yum check-update. Files are then placed in /var/tmp/yum[user]*/ . The repodata there gets quite large. Can I: Configure the location? Configure yum so it ...
1
vote
2answers
8k views

On Red Hat Enterprise Linux 6.2 how can I use Python 2.7 as default not Python 2.6? I did but still showing 2.6?

RHEL 6.2 I have python 2.6 but I need default python 2.7 using yum packaging (so that nothing goes messed up, cause its a heavy duty working system, all I need the python 2.7 on it, without messing ...
1
vote
1answer
8k views

Public key not found for RPM

I am trying to install package on Redhat 5.5 using YUM but it always give me this error [root@redhat64 Desktop]# yum install perl-Net-Server-0.97-1.el5.rf.noarch.rpm Loaded plugins: rhnplugin, ...
1
vote
4answers
233 views

How can I tell if a package is safe to update on CentOS?

I have a simple two-node CentOS cluster based on DRBD, Corosync and KVM. When I try to update its packages via yum it lists something like Updating: clusterlib x86_64 ...
1
vote
2answers
373 views

Installing `setfacl` on Cent OS 6

My apologies if this is the wrong Stack Exchange for this sort of question — it seems like the most appropriate. Which yum package should I install to get the setfacl command on my linux virtual ...
1
vote
1answer
29 views

Can I use shortcuts inside a repository for yum?

I'm creating a repository for distributing specific software. I want to be able to store old versions of the software in the repository, but I'd like the users of the repo to not need to specify a ...
1
vote
1answer
467 views

Yum doesn't work

Today I try to list installed php packages with yum but when I run "yum list php*". I have got a strange error "There was a problem importing one of the Python modules required to run yum. The error ...
1
vote
1answer
1k views

Update a Red Hat repo with no packages

I'm attempting to install a handful of packages on my RHEL 5.10 (Tikanga) server, however I'm prevented from doing this because of an installed repo with zero packages. When I do yum repolist, it ...
1
vote
3answers
223 views

Installing ack on cpanel

I need to install ack on an instance of whm/cpanel (I have root access as it is a VPS) but I have not found any information on how to do that. I tried to install it using the WHM RPM manager, but the ...
1
vote
3answers
2k views

yum no longer able to detect/access repository

Yum was working fine until I tried to install google chrome and used the --add-repo command with which I added chrome's repository. Ever since then, whenever I do a sudo yum install, yum only ...